Bug 150705 - CAN-2005-0699 Multiple ethereal issues (CAN-2005-0704 CAN-2005-0705)
CAN-2005-0699 Multiple ethereal issues (CAN-2005-0704 CAN-2005-0705)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ethereal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
impact=moderate,public=20050310,sourc...
: Security
: 151035 (view as bug list)
Depends On:
Blocks: 151035
  Show dependency treegraph
 
Reported: 2005-03-09 15:27 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:19:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-09 15:27:32 EST
Ethereal 0.10.10 is scheduled to be released on Thursday, March 10.
It addresses the following security issues:

The Etheric dissector was susceptible to a buffer overflow.
Versions affected: 0.10.7 to 0.10.9
Fixed in revision: 13176

The GPRS-LLC dissector could crash if the "ignore cipher bit" option
was enabled.
Versions affected: 0.10.7 to 0.10.9
Fixed in revisions: 13386 (further improvements in 13549 and 13571)

The 3GPP2 A11 dissector was susceptible to a buffer overflow.
Versions affected: 0.10.3 to 0.10.9
Fixed in revision: 13574
CAN-2005-0699
Comment 1 Josh Bressers 2005-03-09 15:33:04 EST
Radek, this is a heads up.  I imagine we'll upgrade as before?

Additionally, RHEL2.1 and RHEL3 are affected.
Comment 2 Josh Bressers 2005-03-09 17:00:54 EST
The Etheric dissector was susceptible to a buffer overflow.
CAN-2005-0704

The GPRS-LLC dissector could crash if the "ignore cipher bit" option
CAN-2005-0705

The 3GPP2 A11 dissector was susceptible to a buffer overflow.
CAN-2005-0699
Comment 3 Josh Bressers 2005-03-11 16:15:16 EST
Ethereal 0.10.10 has been released
http://www.ethereal.com/news/item_20050311_01.html
Comment 4 Radek Vokal 2005-03-14 03:01:26 EST
RHSA-2005:306-02 created for EL4. Others are comming .. 
Comment 5 Radek Vokal 2005-03-14 07:02:57 EST
*** Bug 151035 has been marked as a duplicate of this bug. ***
Comment 6 Mark J. Cox (Product Security) 2005-03-18 04:19:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-306.html

Note You need to log in before you can comment on or make changes to this bug.